Retrieve a snapshot
curl --request GET \
--url https://app.myhero.so/snapshot/{snapshotId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.myhero.so/snapshot/{snapshotId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.myhero.so/snapshot/{snapshotId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"_id": "<string>",
"documentId": "<string>",
"createdAt": 123,
"state": "<unknown>",
"name": "<string>",
"description": "<string>",
"comments": [
{
"_id": "<string>",
"userId": "<string>",
"comment": "<string>",
"createdAt": 123
}
],
"isAiManaged": false,
"createdBy": "<string>",
"updatedAt": 123
}
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Snapshots
Retrieve a snapshot
Returns a single snapshot including the full Y.js-encoded state binary, suitable for rendering or restoring the document at that point in time.
GET
/
snapshot
/
{snapshotId}
Retrieve a snapshot
⌘I